/*
   libflame
   An object-based infrastructure for developing high-performance
   dense linear algebra libraries.

   Copyright (C) 2009, The University of Texas

   libflame is free software; you can redistribute it and/or modify
   it under the terms of the GNU Lesser General Public License as
   published by the Free Software Foundation; either version 2.1 of
   the License, or (at your option) any later version.

   libflame is distributed in the hope that it will be useful, but
   WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
   Lesser General Public License for more details.

   You should have received a copy of the GNU Lesser General Public
   License along with libflame; if you did not receive a copy, see
   http://www.gnu.org/licenses/.

   For more information, please contact us at flame@cs.utexas.edu or
   send mail to:

   Field G. Van Zee and/or
   Robert A. van de Geijn
   The University of Texas at Austin
   Department of Computer Sciences
   1 University Station C0500
   Austin TX 78712
*/

#define caxpy CAXPY
#define ccopy CCOPY
#define cdotc CDOTC
#define cdotu CDOTU
#define cgemm CGEMM
#define cgemv CGEMV
#define cgerc CGERC
#define cgeru CGERU
#define chemm CHEMM
#define chemv CHEMV
#define cher CHER
#define cher2 CHER2
#define cher2k CHER2K
#define cherk CHERK
#define cscal CSCAL
#define csscal CSSCAL
#define cswap CSWAP
#define csymm CSYMM
#define csyr2k CSYR2K
#define csyrk CSYRK
#define ctrmm CTRMM
#define ctrmv CTRMV
#define ctrsm CTRSM
#define ctrsv CTRSV
#define dasum DASUM
#define daxpy DAXPY
#define dcopy DCOPY
#define ddot DDOT
#define dgemm DGEMM
#define dgemv DGEMV
#define dger DGER
#define dnrm2 DNRM2
#define dscal DSCAL
#define dswap DSWAP
#define dsymm DSYMM
#define dsymv DSYMV
#define dsyr DSYR
#define dsyr2 DSYR2
#define dsyr2k DSYR2K
#define dsyrk DSYRK
#define dtrmm DTRMM
#define dtrmv DTRMV
#define dtrsm DTRSM
#define dtrsv DTRSV
#define dzasum DZASUM
#define dznrm2 DZNRM2
#define icamax ICAMAX
#define idamax IDAMAX
#define isamax ISAMAX
#define izamax IZAMAX
#define sasum SASUM
#define saxpy SAXPY
#define scasum SCASUM
#define scnrm2 SCNRM2
#define scopy SCOPY
#define sdot SDOT
#define sgemm SGEMM
#define sgemv SGEMV
#define sger SGER
#define snrm2 SNRM2
#define sscal SSCAL
#define sswap SSWAP
#define ssymm SSYMM
#define ssymv SSYMV
#define ssyr SSYR
#define ssyr2 SSYR2
#define ssyr2k SSYR2K
#define ssyrk SSYRK
#define strmm STRMM
#define strmv STRMV
#define strsm STRSM
#define strsv STRSV
#define zaxpy ZAXPY
#define zcopy ZCOPY
#define zdotc ZDOTC
#define zdotu ZDOTU
#define zdscal ZDSCAL
#define zgemm ZGEMM
#define zgemv ZGEMV
#define zgerc ZGERC
#define zgeru ZGERU
#define zhemm ZHEMM
#define zhemv ZHEMV
#define zher ZHER
#define zher2 ZHER2
#define zher2k ZHER2K
#define zherk ZHERK
#define zscal ZSCAL
#define zswap ZSWAP
#define zsymm ZSYMM
#define zsyr2k ZSYR2K
#define zsyrk ZSYRK
#define ztrmm ZTRMM
#define ztrmv ZTRMV
#define ztrsm ZTRSM
#define ztrsv ZTRSV
